from vbv_lernwelt.competence.factories import (
    CompetencePageFactory,
    CompetenceProfilePageFactory,
    PerformanceCriteriaFactory,
)
from vbv_lernwelt.competence.models import CompetencePage
from vbv_lernwelt.course.consts import COURSE_VERSICHERUNGSVERMITTLERIN_OLD_ID
from vbv_lernwelt.course.models import CoursePage
from vbv_lernwelt.learnpath.models import LearningPath, LearningUnit


def create_vv_competence_profile(course_id=COURSE_VERSICHERUNGSVERMITTLERIN_OLD_ID):
    course_page = CoursePage.objects.get(course_id=course_id)
    slug_prefix = course_page.get_children().exact_type(LearningPath).first().slug

    competence_profile_page = CompetenceProfilePageFactory(
        title="KompetenzNavi",
        parent=course_page,
    )

    competences = [
        {
            "competence_id": "A1",
            "title": "Weiterempfehlung für Neukunden generieren",
            "items": [
                "Verhandlungsgeschick",
                "Überzeugtes Auftreten",
            ],
        },
        {
            "competence_id": "A2",
            "title": "Kundengespräche vereinbaren",
            "items": [
                "Gesprächsführung / Fragetechniken",
                "Selbstorganisation",
                "Arbeitstechniken",
                "Psychologische Kenntnisse / Kommunikations-psychologie",
            ],
        },
        {
            "competence_id": "A3",
            "title": "Auftritt in den sozialen Medien zeitgemäss halten",
            "items": [
                "Gesetzliche und Compliance-Anforderungen der Versicherer",
                "Datenschutzgesetz",
                "Kommunikation in den sozialen Medien",
            ],
        },
        {"competence_id": "A4", "title": "Kundendaten erfassen", "items": []},
        {
            "competence_id": "B1",
            "title": "Wünsche, Ziele  und Bedürfnisse der Kunden im Gespräch ermitteln",
            "items": [
                "Gesprächsführung",
                "Fragetechniken",
                "Kundenpsychologie",
            ],
        },
        {
            "competence_id": "B2",
            "title": "Analyse des Kundenbedarfs und des Kundenbedürfnisses durchführen",
            "items": [
                "Fragetechniken",
                "Visuelle Hilfsmittel / Visualisierungstechniken",
            ],
        },
        {
            "competence_id": "B3",
            "title": "Individuelle Lösungsvorschläge erarbeiten",
            "items": [
                "Fundierte Produktekenntnisse",
                "Regulatorische Vorschriften",
            ],
        },
        {
            "competence_id": "B4",
            "title": "Lösungsvorschläge präsentieren und umsetzen",
            "items": [
                "Verhandlungsstrategien",
                "Fundierte Produktkenntnisse",
                "Visuelle Hilfsmittel / Visualisierungstechniken",
            ],
        },
        {
            "competence_id": "C1",
            "title": "Cross- und Upselling; bestehende fremdverwaltete Versicherungspolicen prüfen und in das Portfolio aufnehmen",
            "items": [
                "Produktkenntnisse",
                "Gesprächsführung",
                "Kommunikation",
                "Fragetechnik",
                "Verhandlungsgeschick",
                "Vertragsrecht",
                "Regulatorische Vorgaben",
                "UVG, BVG, KVG, VVG",
            ],
        },
        {
            "competence_id": "C2",
            "title": "Änderungswünsche entgegennehmen und bestehende Verträge anpassen",
            "items": [
                "Produktkenntnisse",
                "Gesprächsführung",
                "Kommunikation",
                "Fragetechnik",
                "Verhandlungsgeschick",
                "Vertragsrecht",
                "Regulatorische Vorgaben",
                "UVG, BVG, KVG, VVG",
            ],
        },
        {
            "competence_id": "C3",
            "title": "Kunden im Schadenfall unterstützen",
            "items": [],
        },
        {"competence_id": "C4", "title": "Bestehende Kunden pflegen", "items": []},
        {
            "competence_id": "C5",
            "title": "Versicherungsanträge nachbearbeiten",
            "items": [],
        },
    ]

    for c in competences:
        CompetencePageFactory(
            parent=competence_profile_page,
            competence_id=c["competence_id"],
            title=c["title"],
            items=[("item", i) for i in c["items"]],
        )

    # Daten anhand von WEVM_Version Oktober 2022
    # Einstieg/Beobachten – Selbsteinschätzung «Einkommenssicherung»
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A2"
        ),
        competence_id="A2.1",
        title="Ich bin fähig je nach (Neu-) Kunde Form und Ort für das Gespräch festzulegen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-einkommenssicherung"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A2"
        ),
        competence_id="A2.2",
        title="Ich bin fähig mir intern und extern die nötigen Informationen über den (Neu-) Kunden zu beschaffen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-einkommenssicherung"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A2"
        ),
        competence_id="A2.3",
        title="Ich bin fähig die Terminierung auf das Thema Einkommenssicherung auszurichten.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-einkommenssicherung"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A2"
        ),
        competence_id="A2.4",
        title="Ich bin fähig für das zu führende Gespräch eine Agenda zu erstellen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-einkommenssicherung"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A2"
        ),
        competence_id="A2.5",
        title="Ich bin fähig für das Handlungsfeld «Einkommenssicherung» geeignete Hilfsmittel und Unterlagen zusammenzustellen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-einkommenssicherung"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B1"
        ),
        competence_id="B1.1",
        title="Ich bin fähig dem Kunden den Gesprächsablauf und den Zeitrahmen (mittels Agenda) aufzuzeigen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-einkommenssicherung"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B1"
        ),
        competence_id="B1.2",
        title="Ich bin fähig mich beim Kunden korrekt zu identifizieren (VAG 45).",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-einkommenssicherung"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B2"
        ),
        competence_id="B2.3",
        title="Ich bin fähig alle erforderlichen Unterlagen einzufordern.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-einkommenssicherung"
        ),
    )

    # Einstieg / Anwenden – Selbsteinschätzung «Fahrzeug»
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A1"
        ),
        competence_id="A1.6",
        title="Ich bin fähig im täglichen Kontakt potenzielle Kundinnen und Kunden zu erkennen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A2"
        ),
        competence_id="A2.1",
        title="Ich bin fähig je nach (Neu-) Kunde Form und Ort für das Gespräch festzulegen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A2"
        ),
        competence_id="A2.2",
        title="Ich bin fähig mir intern und extern die nötigen Informationen über den (Neu-) Kunden zu beschaffen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A2"
        ),
        competence_id="A2.3",
        title="Ich bin fähig die Terminierung auf das Thema Fahrzeug auszurichten.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A2"
        ),
        competence_id="A2.4",
        title="Ich bin fähig für das zu führende Gespräch eine Agenda zu erstellen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A2"
        ),
        competence_id="A2.5",
        title="Ich bin fähig für das zu führende Gespräch geeignete Hilfsmittel und Unterlagen zusammenzustellen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-fahrzeug"
        ),
    )

    # Einstieg / Anwenden – Selbsteinschätzung «Reisen»
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A2"
        ),
        competence_id="A2.3",
        title="Ich bin fähig die Terminierung auf das Thema Reisen auszurichten.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-reisen"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A2"
        ),
        competence_id="A2.4",
        title="Ich bin fähig für das zu führende Gespräch eine Agenda zu erstellen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-reisen"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A2"
        ),
        competence_id="A2.5",
        title="Ich bin fähig für das zu führende Gespräch geeignete Hilfsmittel und Unterlagen zusammenzustellen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-einstieg-lu-reisen"
        ),
    )

    # Analyse / Beobachten – Selbsteinschätzung «Einkommenssicherung»
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A1"
        ),
        competence_id="A1.5",
        title="Innerhalb des Handlungsfelds «Einkommenssicherung» bin ich fähig, das Thema Risiko und Sicherheit in einem Gespräch gezielt und auf die Situation des jeweiligen Gesprächspartners bezogen, einfliessen zu lassen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-analyse-lu-einkommenssicherung"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B1"
        ),
        competence_id="B1.3",
        title="Innerhalb des Handlungsfelds «Einkommenssicherung» bin ich fähig, die Ziele und Pläne des Kunden zu ergründen (SOLL).",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-analyse-lu-einkommenssicherung"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B2"
        ),
        competence_id="B2.1",
        title="Innerhalb des Handlungsfelds «Einkommenssicherung» bin ich fähig, die IST-Situation des Kunden mit der geeigneten Gesprächs-/Fragetechnik zu erfassen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-analyse-lu-einkommenssicherung"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B2"
        ),
        competence_id="B2.2",
        title="Innerhalb des Handlungsfelds «Einkommenssicherung» bin ich fähig, die Risiken aufzuzeigen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-analyse-lu-einkommenssicherung"
        ),
    )

    # Analyse/Anwenden – Selbsteinschätzung «Fahrzeug»
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B1"
        ),
        competence_id="B1.3",
        title="Innerhalb des Handlungsfelds «Fahrzeug» bin ich fähig, die Ziele und Pläne des Kunden zu ergründen (SOLL).",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-analyse-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B2"
        ),
        competence_id="B2.1",
        title="Innerhalb des Handlungsfelds «Fahrzeug» bin ich fähig, die IST-Situation des Kunden mit der geeigneten Gesprächs-/Fragetechnik zu erfassen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-analyse-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B2"
        ),
        competence_id="B2.2",
        title="Innerhalb des Handlungsfelds «Fahrzeug» bin ich fähig, die Risiken aufzuzeigen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-analyse-lu-fahrzeug"
        ),
    )

    # Analyse/Anwenden – Selbsteinschätzung «Reisen»
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B1"
        ),
        competence_id="B1.3",
        title="Innerhalb des Handlungsfelds «Reisen» bin ich fähig, die Ziele und Pläne des Kunden zu ergründen (SOLL).",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-analyse-lu-reisen"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B2"
        ),
        competence_id="B2.1",
        title="Innerhalb des Handlungsfelds «Reisen» bin ich fähig, die IST-Situation des Kunden mit der geeigneten Gesprächs-/Fragetechnik zu erfassen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-analyse-lu-reisen"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B2"
        ),
        competence_id="B2.2",
        title="Innerhalb des Handlungsfelds «Reisen» bin ich fähig, die Risiken aufzuzeigen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-analyse-lu-reisen"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="C1"
        ),
        competence_id="C1.1",
        title="Innerhalb des Handlungsfelds «Reisen» durch eine Bestandesaufnahme der aktuellen Policen zu prüfen, ob die Leistungen dem Bedarf des Kunden entsprechen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-analyse-lu-reisen"
        ),
    )

    # Lösung/Anwenden – Selbsteinschätzung «Fahrzeug»
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B4"
        ),
        competence_id="B4.2",
        title="Innerhalb des Handlungsfelds «Fahrzeug» bin ich fähig, dem Kunden die Vorschläge verständlich zu erläutern und die entsprechenden Informationspflichten zu erfüllen",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-lösung-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B4"
        ),
        competence_id="B4.3",
        title="Innerhalb des Handlungsfelds «Fahrzeug» bin ich fähig, auf Vorbehalte und/oder Fragen sachlich korrekt und (verhandlungs-)sicher einzugehen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-lösung-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B4"
        ),
        competence_id="B4.4",
        title="Innerhalb des Handlungsfelds «Fahrzeug» bin ich fähig, nötige Anpassungen flexibel vorzunehmen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-lösung-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="C1"
        ),
        competence_id="C1.1",
        title="Innerhalb des Handlungsfelds «Fahrzeug» bin ich fähig durch eine Bestandesaufnahme der aktuellen Policen zu prüfen, ob die Leistungen dem Bedarf des Kunden entsprechen",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-lösung-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="C1"
        ),
        competence_id="C1.2",
        title="Innerhalb des Handlungsfelds «Fahrzeug» bin ich fähig, den Kunden bedarfsgerechte Vorschläge für Anpassungen der Versicherungslösung zu unterbreiten (Up-Selling).",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-lösung-lu-fahrzeug"
        ),
    )

    # Lösung/Anwenden – Selbsteinschätzung «Reisen»
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B3"
        ),
        competence_id="B3.2",
        title="Innerhalb des Handlungsfelds «Reisen» bin ich fähig, eine Unterversicherung, eine Doppel- oder Überversicherung, einen fehlenden Versicherungsschutz und mögliches Optimierungspotential festzustellen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-lösung-lu-reisen"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B4"
        ),
        competence_id="B4.2",
        title="Innerhalb des Handlungsfelds «Reisen» bin ich fähig, dem Kunden die Vorschläge verständlich zu erläutern und die entsprechenden Informationspflichten zu erfüllen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-lösung-lu-reisen"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B4"
        ),
        competence_id="B4.3",
        title="Innerhalb des Handlungsfelds «Reisen» bin ich fähig, auf Vorbehalte und/oder Fragen sachlich korrekt und (verhandlungs-)sicher einzugehen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-lösung-lu-reisen"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B4"
        ),
        competence_id="B4.4",
        title="Innerhalb des Handlungsfelds «Reisen» bin ich fähig, nötige Anpassungen flexibel vorzunehmen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-lösung-lu-reisen"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="C1"
        ),
        competence_id="C1.2",
        title="Innerhalb des Handlungsfelds «Reisen» bin ich fähig, den Kunden bedarfsgerechte Vorschläge für Anpassungen der Versicherungslösung zu unterbreiten (Up-Selling).",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-lösung-lu-reisen"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="C1"
        ),
        competence_id="C1.3",
        title="Innerhalb des Handlungsfelds «Reisen» bin ich fähig aufgrund des Portfolios passende Zusatzprodukte anzubieten (Cross-Selling).",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-lösung-lu-reisen"
        ),
    )

    # Abschluss/Anwenden – Selbsteinschätzung «Fahrzeug»
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A1"
        ),
        competence_id="A1.2",
        title="Innerhalb des Handlungsfelds «Fahrzeug» bin ich fähig, geeignete Personen wie z.B. Garagisten, Architekten, Treuhänder auf die Vermittlung/Zusammenarbeit anzusprechen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-abschluss-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="A4"
        ),
        competence_id="A4.1",
        title="Innerhalb des Handlungsfelds «Fahrzeug» bin ich fähig, Kundendaten in Datenbanken (CRM) korrekt zu erfassen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-abschluss-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B4"
        ),
        competence_id="B4.6",
        title="Innerhalb des Handlungsfelds «Fahrzeug» bin ich fähig, Anträge korrekt auszufüllen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-abschluss-lu-fahrzeug"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="C1"
        ),
        competence_id="C1.3",
        title="Innerhalb des Handlungsfelds «Fahrzeug» bin ich fähig, aufgrund des Portfolios passende Zusatzprodukte anzubieten (Cross-Selling).",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-abschluss-lu-fahrzeug"
        ),
    )

    # Abschluss / Anwenden – Selbsteinschätzung «Reisen»
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="B4"
        ),
        competence_id="B4.6",
        title="Innerhalb des Handlungsfelds «Reisen» bin ich fähig, Anträge korrekt auszufüllen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-abschluss-lu-reisen"
        ),
    )
    PerformanceCriteriaFactory(
        parent=CompetencePage.objects.get(
            slug__startswith=slug_prefix.replace("-lp", ""), competence_id="C3"
        ),
        competence_id="C3.1",
        title="Innerhalb des Handlungsfelds «Reisen» bin ich fähig, Kunden die Vorgehensweise für die Meldung des Schadens nachvollziehbar zu erläutern und sie bei Bedarf zu unterstützen.",
        learning_unit=LearningUnit.objects.get(
            slug=f"{slug_prefix}-circle-abschluss-lu-reisen"
        ),
    )
